收藏
回答

这个可能是新版本的bug

问题模块 框架类型 操作系统 工具版本
开发者工具 小程序 Windows v1.02.1802010

今天更新到最新的版本。然后刚才在开发者工具中编译的时候总是爆出“小程序出现脚本错误或者未正确调用Page()”这样的错误。查了一下,发现所有的页面.js都含有page(),根本没错误。接着我关闭开发者工具窗口,再重新启动开发者工具,发现编译通过了。所以我认为这个可能是新版本的一个bug。


最后一次编辑于  2018-02-02  (未经腾讯允许,不得转载)
邀请回答
复制链接收藏关注问题回答

9 个回答

  • Mr.Hope
    Mr.Hope
    2018-02-02

    同样,我现在新建quickstart项目都报错

    2018-02-02
    赞同
    回复
  • Mr.Hope
    Mr.Hope
    2018-02-02

    再重新打开一遍才能正常

    2018-02-02
    赞同
    回复
  • Mr.Hope
    Mr.Hope
    2018-02-02

    这次新工具我是开发时看到推送才安的,安完开发体验极差[○・`Д´・ ○]

    2018-02-02
    赞同
    回复
  • 邓坤力
    邓坤力
    2018-02-02

    你好,这是一个已知问题,会尽快修复

    2018-02-02
    赞同
    回复
  • 老刘忙
    老刘忙
    2018-02-02

    我也是升级了新开发工具,报 小程序出现脚本错误或者未正确调用Page(),关闭工具再重开又正常了。但时不时会报这个错误

    2018-02-02
    赞同
    回复
  • zhin
    zhin
    2018-02-05

    我靠,新版本出现这么大的问题,根本无法使用

    2018-02-05
    赞同
    回复
  • zhin
    zhin
    2018-02-05

    以后更新都只能更新 最新版的上一版本,坑太多了

    2018-02-05
    赞同
    回复
  • 邓坤力
    邓坤力
    2018-02-05

    不好意思给大家带来困扰,这个问题已修复,请升级到最新 v1.02.1802011 版本

    2018-02-05
    赞同
    回复
  • 老刘忙
    老刘忙
    2018-02-05

    我就是 v1.02.1802011,还是有这个问题。尤其是使用了“清缓存”功能,再一编译100%报 小程序出现脚本错误或者未正确调用Page(),只有重开才正常。而且发现开发者工具的用户登录授权无法始终无法清除掉。

    2018-02-05
    赞同
    回复